RankSharkDocs
Campaigns

List campaigns

RankShark EnhanceScopecampaigns:read

GET
/api/v1/campaigns

Authorization

headerAuthorizationBearer <token>

An Enhance API key (rsen_…) or an OAuth 2.1 access token, as "Authorization: Bearer …".

Query Parameters

search?string

Text in the campaign name, target or keyword

status?string
Value in"running""stopped""completed"
offset?integer
Range0 <= value
Default0
limit?integer

Default 100, at most 1000

Range1 <= value <= 1000
Default100

Response Body

A page of campaigns (archived ones are not included)

application/json
  1. response
total*integer

Matching campaigns

offset*integer
limit*integer
items*array<>
Example Request
curl -X GET 'https://panel.rankshark.io/api/v1/campaigns'
Example Response
{  "total": 0,  "offset": 0,  "limit": 0,  "items": [    {      "Id": "string",      "CampaignName": "string",      "TargetKeywod": "string",      "TargetWebsiteOrBusinessName": "string",      "Tags": [        "string"      ],      "CreatedDate": "2019-08-24T14:15:22Z",      "lastStatus": "string",      "Running": true,      "Stopped": true,      "Completed": true,      "TotalVisitorsSent": 0,      "DailyVisitorsSent": 0,      "DailyVisitorsLimit": 0,      "Configuration": {},      "Tasks": [        {}      ],      "FlowGraph": "string"    }  ]}